Loading...
Searching...
No Matches
caf::make_stage_result< In, DownstreamManager, Ts > Class Template Reference

Returns a stream stage with the slot IDs of its first in- and outbound paths. More...

`#include <make_stage_result.hpp>`

Inheritance diagram for caf::make_stage_result< In, DownstreamManager, Ts >:

## Public Types

using | input_type = In
| Type of a single element.
using | output_type = typename DownstreamManager::output_type
| Type of a single element.
using | stage_type = stream_stage<In, DownstreamManager>
| Fully typed stream manager as returned by make_source.
using | stage_ptr_type = intrusive_ptr<stage_type>
| Pointer to a fully typed stream manager.
using | stream_type = stream<output_type>
| The return type for scheduled_actor::make_stage.
using | handshake_arguments = std::tuple<Ts...>
| Type of user-defined handshake arguments.

## Public Member Functions

| make_stage_result (stream_slot in, stream_slot out, stage_ptr_type ptr)
| make_stage_result (make_stage_result &&)=default
| make_stage_result (const make_stage_result &)=default
make_stage_result & | operator= (make_stage_result &&)=default
make_stage_result & | operator= (const make_stage_result &)=default
stream_slot | inbound_slot () const noexcept
stream_slot | outbound_slot () const noexcept
stage_ptr_type & | ptr () noexcept
const stage_ptr_type & | ptr () const noexcept

## Detailed Description

template<class In, class DownstreamManager, class... Ts>
class caf::make_stage_result< In, DownstreamManager, Ts >

Returns a stream stage with the slot IDs of its first in- and outbound paths.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/make_stage_result.hpp